{% extends "base.html" %}
{% load static %}

{% block app_css %}	
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css">
{% endblock app_css %}

{% block navbar %}
	<header class="l-header">
    <nav class="nav bd-grid">
        <div>
            <a href="#" class="nav__logo">Wahib Adiyatma</a>
        </div>

        <div class="nav__menu" id="nav-menu">
            <ul class="nav__list">
                <li class="nav__item"><a href="/" class="nav__link active">Home</a></li>
                <li class="nav__item"><a href="/college" class="nav__link">Tambah Matkul</a></li>
                <li class="nav__item"><a href="/college/matkul" class="nav__link">Daftar Matkul</a></li>
                <li class="nav__item"><a href="/college/detailmatkul" class="nav__link">Detail Matkul</a></li>
            </ul>
        </div>
        <div class="nav__toggle" id="nav-toggle">
            <i class='bx bx-menu'></i>
        </div>
    </nav>
	</header>
{% endblock navbar %}

{% block main %}
<section class="about section " id="about" style="height:600px;">
    <h2 class="section-title" style="margin-top:50px;">Mata Kuliah</h2>
    <div class="about__container bd-grid col-5 d-flex justify-content-center" id="tambah_matkul">
        <table class="table table-responsive-lg">
          <thead class="thead-dark">
            <tr>
              <th scope="col">Nomor</th>
              <th scope="col">Nama Mata Kuliah</th>
              <th scope="col">Review</th>
            </tr>
          </thead>
          <tbody>
            {% for matkul in data_matkul %}
            <tr>
              <th scope="row">{{forloop.counter}}</th>
              <td>{{matkul.nama_matkul}}</td>
              <td><a href="{% url 'college:detailpermatkul' matkul.id %}"> <button type="button" class="btn btn-outline-success btn-sm">Lihat Detail Matkul</button></a></td>
            </tr>       
            {% endfor %}
          </tbody>
        </table>
    </div>
    <div class="about__container bd-grid col-5 d-flex justify-content-center">
        <a href="{% url 'college:/' %}"> <button type="button" class="btn btn-primary btn-lg">Tambahkan Mata Kuliah</button></a>
    </div>

</section>
{% endblock main %}
